>From edd7e7b337376dc54d9f44b7f7f34b60ed9fc3ed Mon Sep 17 00:00:00 2001
From: Erwan Tulou <erwan10@videolan.org>
Date: Wed, 19 Aug 2009 20:58:07 +0200
Subject: [PATCH] core: add snapshot-file and record-file for signalling new materials created by vlc

---
 src/libvlc.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/src/libvlc.c b/src/libvlc.c
index 9860d54..4b078a8 100644
--- a/src/libvlc.c
+++ b/src/libvlc.c
@@ -814,6 +814,10 @@ int libvlc_InternalInit( libvlc_int_t *p_libvlc, int i_argc,
                          p_keys );
     }
 
+    /* variables for signalling creation of new files */
+    var_Create( p_libvlc, "snapshot-file", VLC_VAR_STRING );
+    var_Create( p_libvlc, "record-file", VLC_VAR_STRING );
+
     /* Initialize playlist and get commandline files */
     p_playlist = playlist_Create( VLC_OBJECT(p_libvlc) );
     if( !p_playlist )
-- 
1.5.6.5

